Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.events.list({
customerId: "cus_123",
});{
"list": [
{
"id": "evt_36xpk2TmuQX5zVPPQ8tCtnR5Weg",
"timestamp": 1765958215459,
"feature_id": "credits",
"customer_id": "0pCIbS4AMAFDB1iBMNhARWZt2gDtVwQx",
"value": 30,
"properties": {},
"deductions": [
{
"balance_id": "cus_ent_3DdSDtFBlvDbjyUuJeUIbQlyN12",
"feature_id": "credits",
"plan_id": "pro",
"reset": {
"interval": "month",
"resets_at": 1765958215459
},
"value": 30
}
]
},
{
"id": "evt_36xmHxxjAkqxufDf9yHAPNfRrLM",
"timestamp": 1765956512057,
"feature_id": "credits",
"customer_id": "0pCIbS4AMAFDB1iBMNhARWZt2gDtVwQx",
"value": 49,
"properties": {},
"deductions": null
}
],
"next_cursor": "eyJ2IjowLCJpZCI6ImV2dF8zNnhtSHh4akFrcXh1ZkRmOXlIQVBOZlJyTE0iLCJ0IjoxNzY1OTU2NTEyMDU3fQ"
}
Events
List Events
List usage events for your organization. Filter by customer, feature, or time range.
POST
/
v1
/
events.list
Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.events.list({
customerId: "cus_123",
});{
"list": [
{
"id": "evt_36xpk2TmuQX5zVPPQ8tCtnR5Weg",
"timestamp": 1765958215459,
"feature_id": "credits",
"customer_id": "0pCIbS4AMAFDB1iBMNhARWZt2gDtVwQx",
"value": 30,
"properties": {},
"deductions": [
{
"balance_id": "cus_ent_3DdSDtFBlvDbjyUuJeUIbQlyN12",
"feature_id": "credits",
"plan_id": "pro",
"reset": {
"interval": "month",
"resets_at": 1765958215459
},
"value": 30
}
]
},
{
"id": "evt_36xmHxxjAkqxufDf9yHAPNfRrLM",
"timestamp": 1765956512057,
"feature_id": "credits",
"customer_id": "0pCIbS4AMAFDB1iBMNhARWZt2gDtVwQx",
"value": 49,
"properties": {},
"deductions": null
}
],
"next_cursor": "eyJ2IjowLCJpZCI6ImV2dF8zNnhtSHh4akFrcXh1ZkRmOXlIQVBOZlJyTE0iLCJ0IjoxNzY1OTU2NTEyMDU3fQ"
}
Body Parameters
Response
{
"list": [
{
"id": "evt_36xpk2TmuQX5zVPPQ8tCtnR5Weg",
"timestamp": 1765958215459,
"feature_id": "credits",
"customer_id": "0pCIbS4AMAFDB1iBMNhARWZt2gDtVwQx",
"value": 30,
"properties": {},
"deductions": [
{
"balance_id": "cus_ent_3DdSDtFBlvDbjyUuJeUIbQlyN12",
"feature_id": "credits",
"plan_id": "pro",
"reset": {
"interval": "month",
"resets_at": 1765958215459
},
"value": 30
}
]
},
{
"id": "evt_36xmHxxjAkqxufDf9yHAPNfRrLM",
"timestamp": 1765956512057,
"feature_id": "credits",
"customer_id": "0pCIbS4AMAFDB1iBMNhARWZt2gDtVwQx",
"value": 49,
"properties": {},
"deductions": null
}
],
"next_cursor": "eyJ2IjowLCJpZCI6ImV2dF8zNnhtSHh4akFrcXh1ZkRmOXlIQVBOZlJyTE0iLCJ0IjoxNzY1OTU2NTEyMDU3fQ"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Opaque pagination cursor. Empty string (default) requests the first page; use next_cursor from a prior response for subsequent pages.
Number of items to return. Default 50, hard ceiling 5000.
Required range:
1 <= x <= 5000Filter events by customer ID
Filter events by entity ID (e.g., per-seat or per-resource)
Minimum string length:
1Filter by specific feature ID(s)
Minimum string length:
1Filter events by time range
Show child attributes
Show child attributes
⌘I